<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
//v3.2 www.bcoos.net 2006-08 GPL
//v3.1 www.exoops.info 2006/03 GPL
##################################################################################
# Friend Finder for e-xoops  Version 3.02 beta                                 #
#                                                                                #
# Script design  : PhpMeet  :   Copyright 2002 Jeremy Ross-webmaster@phprank.com #
# Created 15/01/02              Last Modified 15/01/02                           #
# Scripts Home              :   http://www.jrscripts.com                         #
#                                                                                #
# Xoops-RC2 French Version  :   jokerman@free.fr                                 #
# Web Home                     :   http://www.webetfric.com                      #
#                                                                                #
# Xoops-RC2 English Version :          Neon@neon.qldgamers.com                   #
# Web Home                  :   http://neon.qldgamers.com                        #
#                                                                                #
#                 Redesigned and new improvemends by                             #
#        eagle81 Manuel Caballero       Manuel@dancepartner.net                  #
#                    http://www.dancepartner.net                                 #
#                             2002-09-12                                         #
##################################################################################
include_once("admin_header.php");
global $myts, $db, $xoopsTheme, $bcoosConfig, $xoopsModule;    // $db
$topics = "10";
$getentries = $db->getRowsNum($db->query("SELECT id FROM ".$db->prefix("friendfinder").""));
//$myts =& MyTextSanitizer::getInstance();
OpenTable();
echo"<TABLE BORDER=0 width=100% align=\"left\" CELLPADDING=0 CELLSPACING=0><TR>
<td>";
     if (!$start)
         {
         $start = "0";
         }
         $showit = "1";
         $next = $start + $topics;
         $anzahl = $db->getRowsNum($db->query("SELECT id FROM ".$db->prefix("friendfinder")." ORDER BY id"));
     if ($anzahl > $topics)
         {
     if ($next < $anzahl)
            {
            echo "<a href=./view-all.php?start=$next>"._NEXTPAGE."</a> | ";
            }
         for($x = 0; $x < $anzahl; $x++)
            {
               if(0 == ($x % $topics))
               {
         if($x == $start)
         echo "<B><U>$showit</U></B>\n|\n";
         else
         echo "<a href=./view-all.php?start=$x>$showit</a>\n|\n";
         $showit++;
         if(!($showit % 10))
         echo "<BR>";
               }
           }
}
$next = "0";
echo"</TD></TR></TABLE>";
CloseTable();
$view = $db->query("SELECT id,user,active,sex,category,name,email,city,state,country,hobby,partner,height,weight,birth,pic,Description,imgname,imgtime,date,title,sextitle,cattitle FROM ".$db->prefix("friendfinder")."
inner join ".$db->prefix("friendfinder_state")."
on state = cid
inner join ".$db->prefix("friendfinder_sex")."
on sex = sid
inner join ".$db->prefix("friendfinder_category")."
on category = catid ORDER BY id DESC LIMIT $start, $topics");
        while (list($id,$user,$active,$sex,$category,$name,$email,$city,$state,$country,$hobby,$partner,$height,$weight,$birth,$pic,$Description,$imgname,$imgtime,$date, $title,$sextitle,$cattitle) = $db->fetchRow($view)) {
OpenTable();
if($active==0){
   $actived = _ff_no;
    } else {
   $actived = _ff_yes;
    }
echo"<TABLE align=center BORDER=0 class=bg1 CELLPADDING=0 CELLSPACING=0 WIDTH=100%>
<TR><TD class='bg3' WIDTH=25%><b>"._ID."</b></TD><TD class='bg3'>".$myts->makeTboxData4Show($id)."</TD></TR>
<TR><TD class='bg3'><b>"._TEXTSTATUS."  </b></TD><TD class='bg3'>$actived</TD></TR>
<TR><TD class='bg3'><b>"._UNAME."       </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($user)."</TD></TR>
<TR><TD class='bg3'><b>"._SEX."         </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($sextitle)."</TD></TR>
<TR><TD class='bg3'><b>"._NAME."        </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($name)."</TD></TR>
<TR><TD class='bg3'><b>"._COUNTRY."     </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($country)."</TD></TR>
<TR><TD class='bg3'><b>"._REGION."      </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($title)."</TD></TR>
<TR><TD class='bg3'><b>"._CITY."        </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($city)."</TD></TR>
<TR><TD class='bg3'><b>"._HOBBY."       </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($hobby)."</TD></TR>
<TR><TD class='bg3'><b>"._PARTNER."     </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($partner)."</TD></TR>
<TR><TD class='bg3'><b>"._CATEGORY.':'."</b></TD><TD class='bg3'>".$myts->makeTboxData4Show($cattitle)."</TD></TR>
<TR><TD class='bg3'><b>"._PIC."         </b></TD><TD class='bg3'> <A HREF=\"".$pic."\">".$pic."</A><BR></TD></TR>
<TR><TD class='bg3'><b>"._TEXTHEIGHT."  </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($height)."</TD></TR>
<TR><TD class='bg3'><b>"._TEXTWEIGHT."  </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($weight)."</TD></TR>
<TR><TD class='bg3'><b>"._DESCRIPTION." </b></TD><TD class='bg3'>".$myts->makeTboxData4Show($Description)."</TD></TR>
</TABLE>
<br>
<TABLE align=center BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH=100%>
<TR><TD>
[ <A HREF=./edit.php?id=$id>"._editen."</A> ]
[ <A HREF=./delete.php?id=$id>"._delen."</A> ]
[ <A HREF=./activate.php?id=$id>"._activate."</A> ]
</TD></TR></TABLE>";
CloseTable();
}
echo "<br>"._ENTRIES.": $getentries";
include("admin_footer.php");
?>
